Windows Server Initial Configuration Tasks

After you have completed the installation of Windows Server® 2008, and before you deploy the new server in your enterprise, some configuration is required to identify the computer to other computing resources on your network, secure the computer, enable administrators to perform tasks on the computer, and customize the computer by adding server roles and features.

You can complete these tasks by using commands in the Initial Configuration Tasks window, which opens immediately after the operating system installation is complete.

The Initial Configuration Tasks window opens at each startup, unless the Do not show this window at logon check box is selected.

In this section

Provide Computer Information

Update This Server

Customize This Server


Provide Computer Information

You can finish configuring Windows Server® 2008 by performing the following three tasks, identified in the Initial Configuration Tasks window that is opened when the operating system installation is complete.

  • Provide computer information (this section)

  • Update This Server

  • Customize This Server

Set the time zone

Click the Set time zone link in the Provide Computer Information area of the Initial Configuration Tasks window to change the time zone in which the computer is located. For help topics about changing values on the Date and Time dialog box, on the Date and Time tab, click How do I set the clock and time zone?

Configure networking

Network Connections provides connectivity between your computer and the Internet, a network, or another computer. The New Connection Wizard helps you create Internet connections using your dial-up modem, ISDN, DSL or cable modem. You can also create incoming, direct, and virtual private networking (VPN) connections using the New Connection Wizard.

Network connections are highly recommended for typical tasks performed by most of the server roles available for installation on your Windows Server 2008 server.

To set your network connections now, click Configure networking. If you want to edit existing network connection settings, right-click the connection to open the connection's Properties dialog box. If you want to create a new connection, click Create a new connection to open the New Connection Wizard.

Recommended configuration for network connections includes the following tasks:

  • Configuring static IP addresses (highly recommended)

  • Configuring DNS settings

  • Configuring WINS settings

For more information about network connection setup, see the documentation available at Network Center for the IT Pro (http://go.microsoft.com/fwlink/?linkid=58934).

Provide computer name and domain

If this is the first time you have installed Windows Server 2008 on this computer, the setup process assigns your computer a randomly generated number as a computer name. If you are reinstalling or upgrading to a newer version of Windows Server 2008, Setup preserves the existing computer name. You may find the server easier to access remotely, and easier to recognize in reports and logs, if you assign it a name that is meaningful to you and that fits with the naming scheme for computers in your organization.

You can also specify a computer name during Setup if you are using an unattended installation file to install Windows Server 2008.

Consider the following when assigning a computer name:

  • The recommended length for most languages is 15 characters or less. For languages that require more storage space per character, such as Chinese, Japanese, and Korean, the recommended length is 7 characters or less.

  • It is recommended that you use only Internet-standard characters in the computer name. The standard characters are the numbers from 0 through 9, uppercase and lowercase letters from A through Z, and the hyphen (-) character. Computer names cannot consist entirely of numbers.

  • If you are using DNS on your network, you can use a wider variety of characters, including Unicode characters and other nonstandard characters, such as the ampersand (&). Using nonstandard characters may affect the ability of non-Microsoft software to operate on your network.

  • The maximum length for a computer name is 63 bytes. If the name is longer than 15 bytes (15 characters in most languages, 7 characters in some), computers running Windows NT 4.0 and earlier will recognize this computer by the first 15 bytes of the name only. In addition, there are additional configuration steps for a name that is longer than 15 bytes.

  • If a computer is part of a domain, you must choose a computer name that is different from any other computer in the domain. To avoid name conflicts, the computer should be unique on the domain, workgroup, or network. If this computer is part of a domain, and it contains more than one operating system, you must use a unique computer name for each operating system that is installed. This requirement also applies to a computer that contains multiple installations of the same operating system.

Domains, and the Active Directory® directory service system of which they are a part, provide many options for making resources easily available to users while maintaining good monitoring and security. In a domain, passwords and permissions are easier to keep track of because a domain has a single, centralized database of user accounts, permissions, and other network details. The information in this database is replicated automatically among domain controllers.

To name the computer and join it to a domain now, click Provide computer name and domain in the Initial Configuration Tasks window.


Update This Server

By using the commands in the Update this Server area of the Initial Configuration Tasks window, you can ensure that your server receives critical software updates and enhancements directly from the Microsoft Web site.

The Windows automatic updating feature simplifies the task of updating the operating system, and saves administrators time. Other features of the Automatic Updating and Feedback dialog box allow you to participate in the Microsoft Customer Experience Improvement Program and Windows Error Reporting. Features on the Automatic Updating and Feedback dialog box are configurable by members of the Administrators group on the local computer.

In this section

Windows Error Reporting

Customer Experience Improvement Program

Recommended Settings for Windows Automatic Updating and Feedback

In this topic

Downloading and installing updates

Enable Windows automatic updating and feedback

Downloading and installing updates

The Microsoft Update Web site runs an automated tool that identifies any software that installed as part of your Windows operating system for which there is a more current version available.

When updates are available, the site prompts you to choose the updates you want to install.

To download and install updates

  1. In the Initial Configuration Tasks window, click Download and install updates.

  2. In the Windows automatic updating dialog box, click Check for updates.

Clicking Check for updates connects to the Web-based Windows automatic updating tool, and verifies that you have the most current versions of Windows operating system components installed.

Note

Your computer must have an available Internet connection to download updates, or to configure Windows automatic updating.

Enable Windows automatic updating and feedback

On the Enable Windows automatic updating and feedback dialog box, clicking Enable Windows automatic updating and feedback enrolls your computer in the following three programs, and uses recommended default settings for each.

  • Windows automatic updating. Windows automatic updating checks the Microsoft Update Web site for available updates for your computer's operating system, and depending on your preferences, can install the updates automatically, or wait to install updates until you have approved them for installation. The recommended setting is Install updates automatically.

  • Windows Error Reporting. Windows Error Reporting allows Windows to send descriptions of problems on your server to Microsoft and look for steps you can take to solve them. Windows Error Reporting is enabled by default; the default setting is Yes, automatically send summary reports. Notify me if there are possible solutions to the problem.

  • Customer Experience Improvement Program. Microsoft Corporation collects statistical information about your system configuration, the performance of some components of Windows, and certain types of events. Windows periodically uploads a small file to Microsoft that contains a summary of the information collected. The recommended and default setting for the Customer Experience Improvement Program is Yes, I want to participate in the Windows Server CEIP.

For more detailed information about recommended and default settings for Windows automatic updating and feedback programs, see Recommended Settings for Windows Automatic Updating and Feedback.

To configure Windows automatic updating

You can configure Windows automatic updating in either of the following two ways.

Configuring Windows automatic updating settings from Control Panel

Configuring Windows automatic updating settings from the Initial Configuration Tasks window

Note

You must be logged on to this computer as an Administrator to complete either procedure.

Configuring Windows automatic updating settings from Control Panel

To configure Windows automatic updating settings from Control Panel

  1. Click Start, click Control Panel, and then double-click Windows Automatic Updating.

  2. Click Change Settings.

  3. By default, Install updates automatically is selected on the Change Settings dialog box. Select one of the following remaining settings to change the default setting.

    • Download updates but let me choose whether to install them. Windows automatic updating downloads updates automatically, but allows you to review downloaded updates and decide to install only those updates you want.

    • Check for updates but let me choose whether to download and install them. Windows automatic updating checks for updates and informs you by using an alert icon in your desktop tray that updates are available, but downloads and installs only the updates you choose.

    • Never check for updates (not recommended). Windows automatic updating does not check for or install updates unless you click Download and install updates in the Initial Configuration Tasks window, or open Windows Automatic Updating in Control Panel and manually command Windows automatic updating to install updates.

  4. In the Recommended updates area, if you want Windows automatic updating to identify those updates that are recommended or most critical, select Include recommended updates when downloading, installing, or notifying me about updates.

  5. Click OK to save changes and close the Change Settings dialog box.

  6. Close Control Panel.

Configuring Windows automatic updating settings from the Initial Configuration Tasks window

To configure Windows automatic updating settings from the Initial Configuration Tasks window

  1. On the Enable Windows Automatic Updating and Feedback dialog box, click Manually configure settings.

  2. In the Windows Automatic Updating area, click Change Setting.

  3. By default, Install updates automatically is selected on the Change Settings dialog box. Select one of the following remaining settings to change the default setting.

    • Download updates but let me choose whether to install them. Windows automatic updating downloads updates automatically, but allows you to review downloaded updates and decide to install only those updates you want.

    • Check for updates but let me choose whether to download and install them. Windows automatic updating checks for updates and informs you by using an alert icon in your desktop tray that updates are available, but downloads and installs only the updates you choose.

    • Never check for updates (not recommended). Windows automatic updating does not check for or install updates unless you click Download and install updates in the Initial Configuration Tasks window, or open Windows Automatic Updating in Control Panel and manually command Windows automatic updating to install updates.

  4. In the Recommended updates area, if you want Windows automatic updating to identify those updates that are recommended or most critical, select Include recommended updates when downloading, installing, or notifying me about updates

  5. Click OK to save changes and close the Change Settings dialog box.

Windows automatic updating provides high-priority updates, which include security and other critical updates that can help protect your computer. It is a good idea to visit the Microsoft Update Web site on a regular basis to get optional updates, such as recommended software and hardware updates, which can help improve your computer's performance.

To configure feedback

For help participating in the Customer Experience Improvement Program, see the topic Customer Experience Improvement Program in this Help file.

For help enabling or disabling Windows Error Reporting, see the topic Windows Error Reporting in this Help file.


Windows Error Reporting

Windows Error Reporting

By using Windows Error Reporting, Windows can send descriptions of problems on your server to Microsoft and look for steps you can take to solve them. Windows Error Reporting is enabled by default.

If you choose to send generic information automatically about a problem, Microsoft will send back either the most current solution or use the information to start working on a solution.

Read more about how your information is protected by our privacy policy at the Microsoft Online Crash Analysis Web site.

Windows Error Reporting advanced options

On the Windows Error Reporting Configuration dialog box, the following two options disable Windows Error Reporting:

  • I don't want to participate, and don't ask me again

    This option disables Windows Error Reporting, and prevents it from prompting you to send information about application failures to Microsoft.

  • Ask me about sending reports every time an error occurs

    This option disables Windows Error Reporting, but allows it to prompt you to send information about application failures to Microsoft whenever a failure occurs.

The following two options enable Windows Error Reporting. Each option provides a different level of detail in the information sent to Microsoft when failures occur.

  • Yes, automatically send detailed reports. Notify me if there are possible solutions to the problem.

    When this option is selected, if an application failure occurs, detailed reports are automatically sent to Microsoft. Portions of documents you were working on at the moment a program failed, or data you provided to Web sites or forms may be included in these reports. The contents of log files, and portions of the registry, may also be sent to Microsoft.

  • Yes, automatically send summary reports. Notify me if there are possible solutions to the problem.

    When this option is selected, if an application failure occurs, only non-personal data is sent to Microsoft. Data about your computer's configuration, the program in which you were working, and any operations that triggered the failure is sent to Microsoft.

How to enable Windows Error Reporting

In Windows Server® 2008, you can enable Windows Error Reporting in the following ways:

To enable Windows Error Reporting by using the Initial Configuration Tasks window

To enable Windows Error Reporting by using Server Manager

To enable Windows Error Reporting by using the Initial Configuration Tasks window

To enable Windows Error Reporting by using Initial Configuration Tasks

  1. If the Initial Configuration Tasks window is not already open, you can open it by clicking Start, clicking Run, typing oobe in the text box, and then clicking OK.

  2. Click Enable Windows automatic updating and feedback in the Update This Server area.

  3. Click Manually configure settings.

  4. In the Windows Error Reporting area of the Manually Configure Settings dialog box, click Change Setting.

  5. On the Windows Server Configuration dialog box, select one of the following options described in the previous section:

    • Yes, automatically send detailed reports

    • Yes, automatically send summary reports

  6. Click OK.

  7. On the Manually Configure Settings dialog box, click Close.

To enable Windows Error Reporting by using Server Manager

To enable Windows Error Reporting by using Server Manager

  1. Open Server Manager by clicking Start, pointing to Administrative Tools, and then clicking Server Manager.

  2. Expand the Resources and Support area if it is not already open.

  3. Click Turn on Windows Error Reporting.

  4. On the Windows Error Reporting Configuration dialog box, select one of the following options, described in the previous section:

    • Yes, automatically send detailed reports

    • Yes, automatically send summary reports

  5. Click OK.

How to disable Windows Error Reporting

In Windows Server 2008, you can disable Windows Error Reporting in any of the following ways:

To disable Windows Error Reporting by using the Initial Configuration Tasks window

To disable Windows Error Reporting by using Server Manager

You can also enable or disable Windows Error Reporting by configuring its behavior using Group Policy. Use the Local Group Policy Editor when editing Local Group Policy or, use the Group Policy Management Console when editing domain-based Group Policy. You can locate these policy settings in Administrative Templates/Windows Components/Windows Error Reporting.

To disable Windows Error Reporting by using the Initial Configuration Tasks window

Perform the following steps from within the Initial Configuration Tasks window.

To disable Windows Error Reporting by using Initial Configuration Tasks

  1. If the Initial Configuration Tasks window is not already open, you can open it by clicking Start, clicking Run, typing oobe in the text box, and then clicking OK.

  2. Click Enable Windows automatic updating and feedback in the Update This Server area.

  3. Click Manually configure settings.

  4. In the Windows Error Reporting area of the Windows automatic updating and feedback dialog box, select Manually configure settings.

  5. In the Windows Error Reporting area of the Manually Configure Settings dialog box, click Change Setting.

  6. On the Windows Server Configuration dialog box, select one of the following options:

    • I don't want to participate, and don't ask me again

      This option disables Windows Error Reporting, and prevents it from prompting you to send information about application failures to Microsoft.

    • Ask me about sending reports every time an error occurs

      This option disables Windows Error Reporting, but allows it to prompt you to send information about application failures to Microsoft whenever a failure occurs.

  7. Click OK.

  8. On the Manually Configure Settings dialog box, click Close.

To disable Windows Error Reporting by using Server Manager

Perform the following steps to disable participation in Windows Error Reporting by using Server Manager.

To disable Windows Error Reporting by using Server Manager

  1. Open Server Manager by clicking Start, pointing to Administrative Tools, and then clicking Server Manager.

  2. Expand the Resources and Support area if it is not already open.

  3. Click Configure Windows Error Reporting.

  4. On the Windows Server Configuration dialog box, select one of the following options:

    • I don't want to participate, and don't ask me again

      This option disables Windows Error Reporting, and prevents it from prompting you to send information about application failures to Microsoft.

    • Ask me about sending reports every time an error occurs

      This option disables Windows Error Reporting, but allows it to prompt you to send information about application failures to Microsoft whenever a failure occurs.

  5. Click OK.


Customer Experience Improvement Program

Customer Experience Improvement Program

You can help Microsoft improve the quality, reliability, and performance of its operating systems by participating in the Microsoft Customer Experience Improvement Program.

If you accept, Microsoft Corporation collects statistical information about your system configuration, the performance of some components of Windows, and certain types of events. Windows periodically uploads a small file to Microsoft that contains a summary of the information collected. The file is transmitted by using the Internet.

The uploaded data contains no information that identifies you or your company. There are no surveys to complete, and it all happens automatically—you’re never interrupted. You should experience no loss in performance. If your computer is not connected to the Internet, the data is discarded. Microsoft does not share this information with other companies; it is used only by Microsoft in aggregate form for the purpose of improving our software for our customers.

To participate, follow the procedure in To enable the Customer Experience Improvement Program.

If you do not want to participate, follow the procedure in To disable the Customer Experience Improvement Program.

To enable the Customer Experience Improvement Program

You can enable the Customer Experience Improvement Program by using either Server Manager or Initial Configuration Tasks.

To enable the Customer Experience Improvement Program by using Server Manager

To enable the Customer Experience Improvement Program by using Initial Configuration Tasks

To enable the Customer Experience Improvement Program by using Server Manager

Perform the following steps to participate in the Customer Experience Improvement Program by using Server Manager.

To enable CEIP by using Server Manager

  1. Click Start.

  2. Go to Administrative Tools, and click Server Manager.

  3. Expand the Resources and Support area if it is not already open.

  4. Click Participate in CEIP to open the Customer Experience Improvement Program Configuration dialog box.

  5. Select Yes, I want to participate in the CEIP.

  6. Click OK.

To enable the Customer Experience Improvement Program by using Initial Configuration Tasks

Perform the following steps to participate in the Customer Experience Improvement Program by using Initial Configuration Tasks.

To enable CEIP by using Initial Configuration Tasks

  1. In the Update This Server section of the Initial Configuration Tasks window, click Enable automatic updating and feedback.

  2. On the Enable Windows Automatic Updating and Feedback dialog box, do one of the following.

    • Click Enable Windows automatic updating and feedback to participate in both the Customer Experience Improvement Program and Windows Error Reporting. Click Close. You have completed the procedure.

    • Click Manually configure settings to participate in only the Customer Experience Improvement Program or to change settings.

  3. If you selected Manually configure settings in the previous step, click Change Setting in the Customer Experience Improvement Program area of the Manually Configure Settings dialog box.

  4. On the Customer Experience Improvement Program Configuration dialog box, select Yes, I want to participate in the CEIP.

  5. Click OK.

To disable the Customer Experience Improvement Program

You can disable participation in the Customer Experience Improvement Program by using either Server Manager or Initial Configuration Tasks.

To disable the Customer Experience Improvement Program by using Server Manager

To disable the Customer Experience Improvement Program by using Initial Configuration Tasks

To disable the Customer Experience Improvement Program by using Server Manager

Perform the following steps in Server Manager if you do not want to participate in the Customer Experience Improvement Program.

To disable CEIP by using Server Manager

  1. Click Start.

  2. Go to Administrative Tools, and click Server Manager.

  3. Expand the Resources and Support area if it is not already open.

  4. Click Participate in CEIP to open the Customer Experience Improvement Program Configuration dialog box.

  5. Select No, I don't want to participate.

  6. Click OK.

To disable the Customer Experience Improvement Program by using Initial Configuration Tasks

Perform the following steps in Initial Configuration Tasks if you do not want to participate in the Customer Experience Improvement Program.

To disable CEIP by using Initial Configuration Tasks

  1. In the Update This Server section of the Initial Configuration Tasks window, click Enable automatic updating and feedback.

  2. On the Enable Windows Automatic Updating and Feedback dialog box, click Manually configure settings.

  3. Click Change Setting in the Customer Experience Improvement Program area of the Manually Configure Settings dialog box.

  4. On the Customer Experience Improvement Program Configuration dialog box, select No, I don't want to participate.

  5. Click OK.

Customer Experience Improvement Program Profile

If you participate in CEIP, you can add a profile that tells Microsoft more about the type of computing enterprise in which your server is deployed. Adding a profile is optional, but it provides richer data that helps Microsoft provide better solutions for your specific enterprise type.

Perform the following steps if you want to add a profile.

To add a CEIP profile

  1. In the Customer Experience Improvement Program Configuration dialog box, select the Yes, I want to participate Windows Server CEIP option.

  2. Use the drop-down menus to select the values that best represent your enterprise.

    • Number of servers your organization has worldwide. Select the numeric range that most accurately represents your organization's server count.

    • Number of desktop and portable PCs your organization has worldwide. Select the numeric range that most accurately represents your organization's combined desktop and laptop computer count.

    • Industry that best represents your organization. If your organization's industry is not closely represented by the options, select Other Services.

  3. Click OK.


Recommended Settings for Windows Automatic Updating and Feedback

When you set up Windows Server® 2008, you can choose settings to help enhance the security and reliability of your computer. This topic describes the settings recommended by Microsoft.

Enable Windows automatic updating and feedback Settings

This section describes the available settings in the Enable Windows Automatic Updating and Feedback dialog box.

Enable Windows automatic updating and feedback

When you choose this option, you turn on recommended settings for these features:

  • Windows automatic updating. If you use the recommended settings, Windows automatically installs important and recommended updates for your computer as Microsoft releases them. Important updates provide significant benefits, such as improved security and reliability. Recommended updates can address noncritical problems and help enhance your computing experience. Optional updates are not downloaded or installed automatically. You can customize your update settings by opening Control Panel and then opening Windows automatic updating.

    Read more about updates online.

  • Windows Error Reporting. If Windows Error Reporting is enabled (recommended), and problems occur in Windows or programs that are designed to work with Windows Error Reporting, Windows automatically sends information to Microsoft to help identify each problem and check for a solution. In some instances, reports might unintentionally contain personal information. If a report is likely to contain this type of information, Windows will ask if you want to send the report. Microsoft will not use the information in these reports to identify you or contact you. When solutions are available, they are offered as steps to solve the problem you reported or as updates to install. Because not all problems have solutions, the information you send can also help Microsoft create new solutions.

    Read more about error reporting online.

  • Customer Experience Improvement Program (CEIP). If CEIP is enabled (recommended), Microsoft collects statistical information about your system configuration, the performance of some components of Windows, and certain types of events. Windows periodically uploads a small file to Microsoft that contains a summary of the information collected. The uploaded data contains no information that can identify you or your company. Microsoft does not share this information with other companies; it is used only by Microsoft for the purpose of improving our software for our customers.

    Read more about CEIP online.

We strongly encourage you to use the recommended settings. You can change settings later by opening Server Manager.

Manually configure settings

If you choose this option, you can customize settings for Windows automatic updating, Windows Error Reporting, and the Customer Experience Improvement Program.

For more information about manually configuring Windows Error Reporting, see Windows Error Reporting.

For more information about manually configuring Windows CEIP settings, see Customer Experience Improvement Program.

Manually configuring settings for Windows automatic updating

Follow these steps to customize your Windows automatic updating settings.

To manually configure Windows automatic updating settings

  1. On the Enable Windows Automatic Updating and Feedback dialog box, click Manually configure settings.

  2. In the Windows Automatic Updating area, click Change Setting.

  3. By default, Install updates automatically is selected on the Change Settings dialog box. Select one of the following remaining settings to change the default setting.

    • Download updates but let me choose whether to install them. Windows automatic updating downloads updates automatically, but allows you to review downloaded updates and decide to install only those updates you want.

    • Check for updates but let me choose whether to download and install them. Windows automatic updating checks for updates and informs you by using an alert icon in your desktop tray that updates are available, but downloads and installs only the updates you choose.

    • Never check for updates (not recommended). Windows automatic updating does not check for or install updates unless you click Download and install updates in the Initial Configuration Tasks window, or open Windows automatic updating in Control Panel and manually command Windows automatic updating to install updates.

  4. In the Recommended updates area, if you want Windows automatic updating to identify those updates that are recommended or most critical, select Include recommended updates when downloading, installing, or notifying me about updates.

  5. Click OK to save changes and close the Change Settings dialog box.


Customize This Server

Windows Server® 2008 includes Server Manager, a new tool with which administrators can either install or remove server roles, or manage those roles after they have been installed. Server Manager provides centralized control of a server, regardless of the combination of roles installed.

Server Manager alleviates the need for administrators to use multiple tools in order to install, secure, and manage a server role. Server Manager installs server roles that are secure by default. With Windows Server 2008 installed, there is no longer a need to run the Security Configuration Wizard (SCW) following a server role installation to configure services and ports for the role.

In this Section

Adding Roles to Your Server

Adding Features to Your Server

Enabling Remote Desktop

Configuring the Windows Firewall

Adding Roles to Your Server

In Windows Server 2008, you can add roles to your server by using the Add Roles Wizard. You can start the Add Roles Wizard from either the Initial Configuration Tasks window or from within Server Manager.

Roles Available for Installation in This Release

The following roles are available for installation by opening the Add Roles Wizard, either from the Initial Configuration Tasks window, or from within Server Manager.

Note

This list of roles may have been updated since this content was published. To check for updates, see the Windows Server 2008 TechCenter (http://go.microsoft.com/fwlink/?LinkId=48541). Some roles and features might not be available on specialized editions of Windows Server 2008.

Role Name Description

Active Directory® Certificate Services

Active Directory® Certificate Services provides customizable services for creating and managing public key certificates used in software security systems employing public key technologies. Organizations can use Active Directory Certificate Services to enhance security by binding the identity of a person, device, or service to a corresponding private key. Active Directory Certificate Services also includes features that allow you to manage certificate enrollment and revocation in a variety of scalable environments.

Applications supported by Active Directory Certificate Services include Secure/Multipurpose Internet Mail Extensions (S/MIME), secure wireless networks, virtual private networks (VPN), Internet Protocol security (IPsec), Encrypting File System (EFS), smart card logon, Secure Socket Layer/Transport Layer Security (SSL/TLS), and digital signatures.

For more information about Active Directory® Certificate Services see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48545).

Active Directory Domain Services

Active Directory Domain Services (AD DS) stores information about users, computers, and other devices on the network. AD DS helps administrators securely manage this information and facilitates resource sharing and collaboration between users. AD DS is also required to be installed on the network in order to install directory-enabled applications such as Microsoft Exchange Server and for applying other Windows Server technologies such as Group Policy.

For more information about AD DS, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48547).

Active Directory Federation Services

Active Directory Federation Services (AD FS) provides Web single-sign-on (SSO) technologies to authenticate a user to multiple Web applications using a single user account. AD FS accomplishes this by securely federating, or sharing, user identities and access rights, in the form of digital claims, between partner organizations.

For more information about AD FS, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48542).

Active Directory Lightweight Directory Services

Organizations that have applications which require a directory for storing application data can use Active Directory Lightweight Directory Services (AD LDS) as the data store. AD LDS runs as a non-operating-system service, and, as such, it does not require deployment on a domain controller. Running as a non-operating-system service allows multiple instances of AD LDS to run concurrently on a single server, and each instance can be configured independently for servicing multiple applications.

For more information about AD LDS, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48543).

Active Directory Rights Management Services (AD RMS)

Active Directory Rights Management Services (AD RMS) (AD RMS) is information protection technology that works with AD RMS -enabled applications to help safeguard digital information from unauthorized use. Content owners can define exactly how a recipient can use the information, such as who can open, modify, print, forward, and/or take other actions with the information. Organizations can create custom usage rights templates such as "Confidential - Read Only" that can be applied directly to information such as financial reports, product specifications, customer data, and e-mail messages.

For more information about AD RMS, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48554).

Application Server

Application Server provides a complete solution for hosting and managing high-performance distributed business applications. Integrated services, such as the .NET Framework, Web Server Support, Message Queuing, COM+, Windows Communication Foundation, and Failover Clustering support boost productivity throughout the application life cycle, from design and development through deployment and operations.

For more information about Application Server, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48544).

Dynamic Host Configuration Protocol (DHCP) Server

The Dynamic Host Configuration Protocol allows servers to assign, or lease, IP addresses to computers and other devices that are enabled as DHCP clients. Deploying DHCP servers on the network automatically provides computers and other TCP/IP based network devices with valid IP addresses and the additional configuration parameters these devices need, called DHCP options, that allow them to connect to other network resources, such as DNS servers, WINS servers, and routers.

For more information about DHCP Server, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48546).

DNS Server

Domain Name System (DNS) provides a standard method for associating names with numeric Internet addresses. This makes it possible for users to refer to network computers by using easy-to-remember names instead of a long series of numbers. Windows DNS services can be integrated with Dynamic Host Configuration Protocol (DHCP) services on Windows, eliminating the need to add DNS records as computers are added to the network.

For more information about DNS Server, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48548).

Fax Server

Fax Server sends and receives faxes, and allows you to manage fax resources such as jobs, settings, reports, and fax devices on this computer or on the network.

For more information about Fax Server, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48549).

File Services

File Services provides technologies for storage management, file replication, distributed namespace management, fast file searching, and streamlined client access to files.

For more information about File Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48550).

Network Policy and Access Services

Network Policy and Access Services delivers a variety of methods to provide users with local and remote network connectivity, to connect network segments, and to allow network administrators to centrally manage network access and client health policies. With Network Access Services, you can deploy VPN servers, dial-up servers, routers, and 802.11 protected wireless access. You can also deploy RADIUS servers and proxies, and use Connection Manager Administration Kit to create remote access profiles that allow client computers to connect to your network.

For more information about Network Policy and Access Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48552).

Print Services

Print Services enables the management of print servers and printers. A print server reduces administrative and management workload by centralizing printer management tasks.

For more information about Print Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48553).

Terminal Services

Terminal Services provides technologies that enable users to access Windows-based programs that are installed on a terminal server, or to access the Windows desktop itself, from almost any computing device. Users can connect to a terminal server to run programs and to use network resources on that server.

For more information about Terminal Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48555).

Universal Description, Discovery, and Integration (UDDI) Services

UDDI Services provides Universal Description, Discovery, and Integration (UDDI) capabilities for sharing information about Web services within an organization's intranet, between business partners on an extranet, or on the Internet. UDDI Services can help improve the productivity of developers and IT professionals with more reliable and manageable applications. With UDDI Services you can prevent duplication of effort by promoting reuse of existing development work.

For more information about UDDI Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48556).

Web Server (IIS)

Web Server (IIS) enables sharing of information on the Internet, an intranet, or an extranet. It is a unified Web platform that integrates IIS 7.0, ASP.NET, and Windows Communication Foundation. IIS 7.0 also features enhanced security, simplified diagnostics, and delegated administration.

For more information about Web Server (IIS), see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48558).

Windows Deployment Services

You can use Windows Deployment Services to install and configure Microsoft® Windows operating systems remotely on computers with Pre-boot Execution Environment (PXE) boot ROMs. Administration overhead is decreased through the implementation of the WdsMgmt Microsoft Management Console (MMC) snap-in, which manages all aspects of Windows Deployment Services. Windows Deployment Services also provides end-users an experience consistent with Windows Setup.

For more information about Windows Deployment Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48559).

Hyper-V™

Hyper-V provides the services that you can use to create and manage virtual machines and their resources. Each virtual machine is a virtualized computer system that operates in an isolated execution environment. This allows you to run multiple operating systems simultaneously.

For more information about Hyper-V, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48557).

The Add Roles Wizard

The Add Roles Wizard simplifies the process of installing roles on your server, and allows you to install multiple roles at one time. You no longer need to open Add or Remove Windows Components multiple times to install all the roles, role services, and features you want on your server. A single session in the Add Roles Wizard can complete the configuration of your server.

The Add Roles Wizard verifies that all of the software components required by a role install with any role you select in the wizard. If necessary, the wizard prompts you to approve the installation of other roles, role services, or software components that are required by roles you select.

Most roles and role services that are available for installation require you to make decisions during the installation process that determine how the role operates in your enterprise. For example, Active Directory Federation Services (ADFS) requires the installation of a certificate.

Before you install a role on your server, it is recommended that you read documentation specific to the planning, deployment and operation of the role, available on the Microsoft Web site.

To start the Add Roles Wizard

  • In the Roles Summary area of the Server Manager main window, click Add Roles.

    -- or --

    In the Customize this server area of the Initial Configuration Tasks window, click Add Roles.

    Notes
    • The Initial Configuration Tasks window opens by default when a member of the Administrators group logs on to the computer.
    • Server Manager opens when the Initial Configuration Tasks window is closed. You can also open Server Manager by using shortcuts on the Start menu or in Administrative Tools.

Adding Features to Your Server

In Windows Server 2008, you can add available features to your server by using the Add Features Wizard.

Adding Features to Your Server by Using the Add Features Wizard

Adding Features to Your Server by Using the Add Features Wizard

You can add the following features by using the Add Features Wizard.

Feature | Description
.NET Framework 3.0 | .NET Framework 3.0 combines the power of the .NET Framework 2.0 APIs with new technologies for building applications that offer appealing user interfaces, protect your customers’ personal identity information, enable seamless and secure communication, and provide the ability to model a range of business processes.
BitLocker Drive Encryption | BitLocker Drive Encryption helps to protect data on lost, stolen or inappropriately decommissioned computers by encrypting the entire volume and checking the integrity of early boot components. Data is only decrypted if those components are successfully verified and the encrypted drive is located in the original computer. Integrity checking requires a compatible trusted platform module (TPM).
BITS Server Extensions | Background Intelligent Transfer Service (BITS) Server Extensions allow a server to receive files uploaded by clients using BITS. BITS allows client computers to transfer files in the foreground or background asynchronously, preserve the responsiveness of other network applications, and resume file transfers after network failures and computer restarts.
Connection Manager Administration Kit | Connection Manager Administration Kit (CMAK) generates Connection Manager profiles.
Desktop Experience | Desktop Experience includes features of Windows Vista®, such as Windows Media Player, desktop themes, and photo management. Desktop Experience does not enable any of the Windows Vista features by default; you must manually enable them.
Group Policy Management | Group Policy Management makes it easier to understand, deploy, manage, and troubleshoot Group Policy implementations. The standard tool is Group Policy Management Console (GPMC), a scriptable Microsoft Management Console (MMC) snap-in that provides a single administrative tool for managing Group Policy across the enterprise.
Internet Printing Client | Internet Printing Client allows you to use HTTP to connect to and use printers that are on Web print servers. Internet printing enables connections between users and printers that are not on the same domain or network. Examples of uses include a traveling employee at a remote office site, or in a coffee shop equipped with Wi-Fi access.
Internet Storage Name Server (iSNS) | Internet Storage Name Server (iSNS) provides discovery services for Internet Small Computer System Interface (iSCSI) storage area networks. iSNS processes registration requests, deregistration requests, and queries from iSNS clients.
LPR Port Monitor | Line Printer Remote (LPR) Port Monitor allows users who have access to UNIX-based computers to print on devices attached to them.
Message Queuing | Message Queuing provides guaranteed message delivery, efficient routing, security, and priority-based messaging between applications. Message Queuing also accommodates message delivery between applications that run on different operating systems, use dissimilar network infrastructures, are temporarily offline, or that are running at different times.
Multipath I/O | Multipath I/O (MPIO), along with the Microsoft Device Specific Module (DSM) or a third-party DSM, provides support for using multiple data paths to a storage device on Microsoft Windows.
Peer Name Resolution Protocol | Peer Name Resolution Protocol (PNRP) allows applications to register on and resolve names from your computer, so other computers can communicate with these applications.
Quality Windows Audio Video Experience (qWave) | Quality Windows Audio Video Experience (qWave) is a networking platform for audio and video (AV) streaming applications on Internet protocol home networks. qWave enhances AV streaming performance and reliability by ensuring network quality-of-service for AV applications. It provides admission control, run time monitoring and enforcement, application feedback, and traffic prioritization. On Windows Server platforms, qWave provides only rate-of-flow and prioritization services.
Remote Assistance | Remote Assistance enables you (or a support person) to offer assistance to users with computer issues or questions. Remote Assistance allows you to view and share control of the user’s desktop in order to troubleshoot and fix the issues. Users can also ask for help from friends or co-workers.
Remote Server Administration Tools | Remote Server Administration Tools enables remote management of Windows Server 2003 and Windows Server 2008 from a computer running Windows Server 2008 by allowing you to run some of the management tools for roles, role services, and features on a remote computer.
Removable Storage Manager | Removable Storage Manager (RSM) manages and catalogs removable media and operates automated removable media devices.
RPC Over HTTP Proxy | RPC Over HTTP Proxy is a proxy that is used by objects that receive remote procedure calls (RPC) over Hypertext Transfer Protocol (HTTP). This proxy allows clients to discover these objects even if the objects are moved between servers or if they exist in discrete areas of the network, usually for security reasons.
Services for NFS | Services for Network File System (NFS) is a protocol that acts as a distributed file system, allowing a computer to access files over a network as easily as if they were on its local disks. This feature is available for installation in Windows Server 2008 for Itanium-based Systems only; in other versions of Windows Server 2008, Services for NFS is available as a role service of the File Services role.
SMTP Server | SMTP Server supports the transfer of e-mail messages between e-mail systems.
Storage Manager for SANs | Storage Manager for Storage Area Networks (SANs) helps you create and manage logical unit numbers (LUNs) on Fibre Channel and iSCSI disk drive subsystems that support Virtual Disk Service (VDS) in your SAN.
Simple TCP/IP Services | Simple TCP/IP Services supports the following TCP/IP services: Character Generator, Daytime, Discard, Echo and Quote of the Day. Simple TCP/IP Services is provided for backward compatibility and should not be installed unless it is required.
SNMP Services | Simple Network Management Protocol (SNMP) is the Internet standard protocol for exchanging management information between management console applications—such as HP Openview, Novell NMS, IBM NetView, or Sun Net Manager—and managed entities. Managed entities can include hosts, routers, bridges, and hubs.
Subsystem for UNIX-based Applications | Subsystem for UNIX-based Applications (SUA), along with a package of support utilities available for download from the Microsoft Web site, enables you to run UNIX-based programs, and compile and run custom UNIX-based applications in the Windows environment.
Telnet Client | Telnet Client uses the Telnet protocol to connect to a remote telnet server and run applications on that server.
Telnet Server | Telnet Server allows remote users, including those running UNIX-based operating systems, to perform command-line administration tasks and run programs by using a telnet client.
Trivial File Transfer Protocol (TFTP) Client | Trivial File Transfer Protocol (TFTP) Client is used to read files from, or write files to, a remote TFTP server. TFTP is primarily used by embedded devices or systems that retrieve firmware, configuration information, or a system image during the boot process from a TFTP server.
Failover Clustering | Failover Clustering allows multiple servers to work together to provide high availability of services and applications. Failover Clustering is often used for file and print services, database and mail applications.
Network Load Balancing | Network Load Balancing (NLB) distributes traffic across several servers, using the TCP/IP networking protocol. NLB is particularly useful for ensuring that stateless applications, such as a Web server running Internet Information Services (IIS), are scaleable by adding additional servers as the load increases.
Windows Server Backup | Windows Server Backup allows you to back up and recover your operating system, applications, and data. You can schedule backups to run once a day or more often, and can protect the entire server or specific volumes.
Windows System Resource Manager | Windows System Resource Manager (WSRM) is a Windows Server operating system administrative tool that can control how CPU and memory resources are allocated. Managing resource allocation improves system performance and reduces the risk that applications, services, or processes will interfere with each other to reduce server efficiency and system response.
Windows Internet Name Service (WINS) Server | Windows Internet Name Service (WINS) Server provides a distributed database for registering and querying dynamic mappings of NetBIOS names for computers and groups used on your network. WINS maps NetBIOS names to IP addresses and solves the problems arising from NetBIOS name resolution in routed environments.
Wireless LAN Service | Wireless LAN (WLAN) Service configures and starts the WLAN AutoConfig service, regardless of whether the computer has any wireless adapters. WLAN AutoConfig enumerates wireless adapters, and manages both wireless connections and the wireless profiles that contain the settings required to configure a wireless client to connect to a wireless network.
Windows Internal Database | Windows Internal Database is a relational data store that can be used only by Windows roles and features, such as UDDI Services, Active Directory Rights Management Services (AD RMS), Windows Server Update Services, and Windows System Resource Manager.
Windows PowerShell | Windows PowerShell is a command line shell and scripting language that helps IT professionals achieve greater productivity. It provides a new administrator-focused scripting language and more than 130 standard command line tools to enable easier system administration and accelerated automation.
Windows Process Activation Service | Windows Process Activation Service (WAS) generalizes the IIS process model, removing the dependency on HTTP. All the features of IIS that were previously available only to HTTP applications are now available to applications hosting Windows Communication Foundation (WCF) services, using non-HTTP protocols. IIS 7.0 also uses WAS for message-based activation over HTTP.

Open the Add Features Wizard in one of the following two ways.

To start the Add Features Wizard

  • In the Features Summary area of the Server Manager main window, click Add Features.

    -- or --

    In the Customize this server area of the Initial Configuration Tasks window, click Add Features.

    Notes
    • The Initial Configuration Tasks window opens by default when a member of the Administrators group logs on to the computer.
    • Server Manager opens when the Initial Configuration Tasks window is closed. You can also open Server Manager by using shortcuts on the Start menu or in Administrative Tools.

Enabling Remote Desktop

The Enable Remote Desktop command in the Initial Configuration Tasks window opens the System Properties dialog box and displays the Remote tab.

Remote Desktop allows other users on a network to connect to the computer by providing the computer's name or IP address, and typically, logon credentials. Connected users see the remote computer's desktop and can use its installed programs as if they are working on a local computer. The Enable Remote Desktop command is provided in the Initial Configuration Tasks window to reduce the number of deployment steps required by administrators who are configuring Terminal Services in their enterprise.

Click Help me choose on the Remote tab for full descriptions of the options available for enabling Remote Desktop.

Configuring the Windows Firewall

The Configure Windows Firewall command in the Initial Configuration Tasks window opens the Windows Firewall dialog box.

In Windows Server 2008, Windows Firewall is turned on by default. By default, roles, role services, and features are installed with appropriate Windows Firewall settings. You only need to configure specific Windows Firewall settings for roles, role services, and features installed on the computer if specific conditions in your enterprise require modifications to default settings.

Windows Firewall settings are accessible in Initial Configuration Tasks for any of the following scenarios.

  • When administrators must modify firewall settings for other applications that are installed on the server

  • When their enterprise has unique firewall configuration needs

  • When they do not require Windows Firewall because they use either different firewall software, or a hardware solution

To change Windows Firewall settings, you must be a member of the Administrators group on the local computer.